import { TemplateFunction } from "igniteui-webcomponents-core/ES2015/template";
export declare class IgcSimpleDefaultTooltipComponent extends HTMLElement {
    tooltip: TemplateFunction;
    labelText: any;
    constructor();
    ensureDefaultTooltip(gauge: any): void;
    getLabel(context: any): any;
    onContentReady: () => void;
    connectedCallback(): void;
    render(context: any): void;
    attachedCallback(): void;
    protected static _registered: boolean;
    static htmlTagName: string;
    static register(): void;
}
